Issue 97413 - Drawing&Impress crashes: Insert a table and update color of cells, close OOo
Summary: Drawing&Impress crashes: Insert a table and update color of cells, close OOo
Status: CLOSED FIXED
Alias: None
Product: Draw
Classification: Application
Component: code (show other issues)
Version: DEV300m37
Hardware: All Windows XP
: P2 Trivial (vote)
Target Milestone: OOo 3.1
Assignee: wolframgarten
QA Contact: issues@graphics
URL:
Keywords:
Depends on:
Blocks: 84405
  Show dependency tree
 
Reported: 2008-12-19 02:34 UTC by amy2008
Modified: 2009-02-16 16:52 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description amy2008 2008-12-19 02:34:41 UTC
Can reproduce it in Drawing&Impress with DEV300m37 on WinXP and Fedora

How to reproduce it 
1 Create a new Drawing or Impress document
2 Insert - Table, e.g. 5*2, click 'OK'. Meanwhile, 'Table' toolbar opens
3 Select one or more cells and change the color of these cells via 'Table'
  toolbar, hit blank area of the page except inserted table
4 Edit - Select All (or CTRL+A), Eidt - cut (or Delete via keyboard)
5 File - Close, click 'Discard' button

Result 
OOo crashes

Expectation
Drawing or Impress ducument can be discarded and OOo exits successfully

Regards
Li Meiying
Comment 1 wolframgarten 2009-01-06 10:10:18 UTC
Reproducible. Reassigned.
Comment 2 clippka 2009-01-14 09:50:49 UTC
fixed in cws impress166 for OOo 3.1
Comment 3 clippka 2009-01-21 13:49:59 UTC
verified in cws, back to qa
Comment 4 wolframgarten 2009-01-26 14:52:51 UTC
Verified in CWS.
Comment 5 wolframgarten 2009-02-16 16:52:06 UTC
Tested in OOO310_m1. Closed.